Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.design
Class JRDesignExpression

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBaseExpression
          net.sf.jasperreports.engine.design.JRDesignExpression

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, JRChangeEventsSupport, JRCloneable, JRExpression

    public class JRDesignExpression

extends JRBaseExpression
implements JRChangeEventsSupport

Version:
  $Id: JRDesignExpression.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`protected java.util.List` | `chunks`
`static java.lang.String` | `PROPERTY_TEXT`
`static java.lang.String` | `PROPERTY_VALUE_CLASS_NAME`

Fields inherited from class net.sf.jasperreports.engine.base.JRBaseExpression
`id, valueClass, valueClassName, valueClassRealName`

Fields inherited from interface net.sf.jasperreports.engine.JRExpression
`EVALUATION_DEFAULT, EVALUATION_ESTIMATED, EVALUATION_OLD, EVALUATION_TIME_AUTO, EVALUATION_TIME_BAND, EVALUATION_TIME_COLUMN, EVALUATION_TIME_GROUP, EVALUATION_TIME_NOW, EVALUATION_TIME_PAGE, EVALUATION_TIME_REPORT, NOT_USED_ID`

Constructor Summary
`JRDesignExpression()`

Method Summary
`protected void` | `addChunk(byte type, java.lang.String text)`
`void` | `addChunk(JRDesignExpressionChunk chunk)`
`void` | `addFieldChunk(java.lang.String text)`
`void` | `addParameterChunk(java.lang.String text)`
`void` | `addResourceChunk(java.lang.String text)`
`void` | `addTextChunk(java.lang.String text)`
`void` | `addVariableChunk(java.lang.String text)`
`java.lang.Object` | `clone()`
`JRExpressionChunk[]` | `getChunks()`
`JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
`void` | `setChunks(java.util.List chunks)` Clears the current list of chunks and adds the passed list of chunks.
`void` | `setId(int id)` FIXMENOW remove me?
`void` | `setText(java.lang.String text)`
`void` | `setValueClass(java.lang.Class clazz)`
`void` | `setValueClassName(java.lang.String className)`

Methods inherited from class net.sf.jasperreports.engine.base.JRBaseExpression
`escapeTextChunk, getId, getText, getValueClass, getValueClassName, regenerateId`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_TEXT

    public static final java.lang.String PROPERTY_TEXT

See Also:
  Constant Field Values

### PROPERTY_VALUE_CLASS_NAME

    public static final java.lang.String PROPERTY_VALUE_CLASS_NAME

See Also:
  Constant Field Values

### chunks

    protected java.util.List chunks

Constructor Detail

### JRDesignExpression

    public JRDesignExpression()

Method Detail

### setValueClass

    public void setValueClass(java.lang.Class clazz)

### setValueClassName

    public void setValueClassName(java.lang.String className)

### setId

    public void setId(int id)

  FIXMENOW remove me?

### getChunks

    public JRExpressionChunk[] getChunks()

  Specified by:
    `getChunks` in interface `JRExpression`
  Overrides:
    `getChunks` in class `JRBaseExpression`

### setChunks

    public void setChunks(java.util.List chunks)

  Clears the current list of chunks and adds the passed list of chunks. The reference to the list passed is not kept.

### addChunk

    public void addChunk(JRDesignExpressionChunk chunk)

### addChunk

    protected void addChunk(byte type,
                            java.lang.String text)

### addTextChunk

    public void addTextChunk(java.lang.String text)

### addParameterChunk

    public void addParameterChunk(java.lang.String text)

### addFieldChunk

    public void addFieldChunk(java.lang.String text)

### addVariableChunk

    public void addVariableChunk(java.lang.String text)

### addResourceChunk

    public void addResourceChunk(java.lang.String text)

### setText

    public void setText(java.lang.String text)

### getEventSupport

    public JRPropertyChangeSupport getEventSupport()

  Description copied from interface: `JRChangeEventsSupport`
  Returns the property change support object for this instance.

  Specified by:
    `getEventSupport` in interface `JRChangeEventsSupport`
  Returns:
    the property change support object for this instance

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `JRCloneable`
  Overrides:
    `clone` in class `JRBaseExpression`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com